Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1696332 - zaqar does not support ipv6 endpoint
Summary: zaqar does not support ipv6 endpoint
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-zaqar
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z7
: 13.0 (Queens)
Assignee: RHOS Maint
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 14:43 UTC by Gurenko Alex
Modified: 2019-04-16 04:34 UTC (History)
8 users (show)

Fixed In Version: openstack-zaqar-6.0.1-3.el7ost
Doc Type: Release Note
Doc Text:
Zaqar now supports IPv6 endpoints, to help the Undercloud being deployed under IPv6.
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
openstack overcloud deploy running with --debug (deleted)
2019-04-04 14:43 UTC, Gurenko Alex
no flags Details
1551924: openstack overcloud deploy running with --debug (deleted)
2019-04-04 18:13 UTC, Gurenko Alex
no flags Details
overcloud deploy output on a new puddle (deleted)
2019-04-15 11:43 UTC, Gurenko Alex
no flags Details


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 643185 None stable/queens: MERGED zaqar: Wrap subscriber IP in square brackets when IPv6 (Ib7c84bbe1ae4faf3d8a260733dc801a46f28ebe1) 2019-04-16 09:45:00 UTC

Description Gurenko Alex 2019-04-04 14:43:35 UTC
Created attachment 1551924 [details]
openstack overcloud deploy running with --debug

Description of problem: When trying to deploy pre-deployed servers and setting public endpoints to ipv6, deployment cannot start due to zaqar websocket returning 504


Version-Release number of selected component (if applicable):
OSP13
puddle: 2019-03-18.1


How reproducible: 100%


Steps to Reproduce:
1. Set public endpoints to IPv6 address
2. Start overcloud deployment

Actual results:

Overcloud installation fails even before stack creation starts (see log attached)

Expected results:

Overcloud installation starts successfully

Additional info:

Comment 1 Emilien Macchi 2019-04-04 15:53:27 UTC
I don't see where Zaqar fails, however I see:

2019-04-02 12:04:04,679 INFO: Failed to discover available identity versions when contacting https://2001:db8::b2:13000/. Attempting to parse version from URL.
2019-04-02 12:04:04,680 INFO: Could not determine a suitable URL for the plugin
2019-04-02 12:04:04,724 INFO: + openstack quota set --cores -1 --instances -1 --ram -1
2019-04-02 12:04:05,450 INFO: Failed to discover available identity versions when contacting https://2001:db8::b2:13000/. Attempting to parse version from URL.
2019-04-02 12:04:05,450 INFO: Could not determine a suitable URL for the plugin


Please update the BZ with sosreport.

Comment 2 Gurenko Alex 2019-04-04 18:13:48 UTC
Created attachment 1552063 [details]
1551924: openstack overcloud deploy running with --debug

Sorry, I've attached wrong log file, please have a look at a new one

Comment 7 Gurenko Alex 2019-04-15 11:43:42 UTC
Created attachment 1555188 [details]
overcloud deploy output on a new puddle

Seems like the problem was more than just parsing IPv6 address properly, I'm attaching output of overcloud deploy command with --debug parameter on a new puddle that includes initial fix


Note You need to log in before you can comment on or make changes to this bug.